Flash Messenger fixes for PHP < 5.4, and fix for default namespacing #3566

Merged
merged 1 commit into from Jan 26, 2013

Conversation

Projects
None yet
3 participants
@mwillbanks
Contributor

mwillbanks commented Jan 25, 2013

Overview

Flash Messenger view helper is broken for less than PHP 5.4; this is due to the use of a closure and utilize the variable $this. The fix for that was to ensure that we could just use the variables.

Secondly when one attempts the utilize the view helper using the defaults much like you add a message inside of the controller

$this->plugin('flashMessenger')->addMessage('foo');

Then you should be able to get that value similarly in the view like:

$this->plugin('flashMessenger')->render();
Mike Willbanks
Flash Messenger fixes for PHP < 5.4, and fix for default namespacing …
…when calling $this->flashMessenger()->render()
@blanchonvincent

This comment has been minimized.

Show comment
Hide comment
@blanchonvincent

blanchonvincent Jan 25, 2013

Contributor

@mwillbanks Default namespace with the with helper is cool, thx !

Thank you for the fix, @rwellens don't forget php 5.3 :)

Contributor

blanchonvincent commented Jan 25, 2013

@mwillbanks Default namespace with the with helper is cool, thx !

Thank you for the fix, @rwellens don't forget php 5.3 :)

@ghost ghost assigned weierophinney Jan 26, 2013

weierophinney added a commit that referenced this pull request Jan 26, 2013

@weierophinney weierophinney merged commit bb8c869 into zendframework:develop Jan 26, 2013

1 check failed

default The Travis build failed
Details

@mwillbanks mwillbanks deleted the mwillbanks:hotfix/flash-messenger-default-render-botched branch Jan 29, 2013

weierophinney added a commit to zendframework/zend-view that referenced this pull request May 15, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment